## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global debug_package %{nil}

%global common_description %{expand:
Magic Enum is a header-only C++17 library that provides static reflection for
enums, working with any enum type without any macro or boilerplate code.}

Name:           magic_enum
Version:        0.9.5
Release:        %autorelease
Summary:        Static reflection for enums for modern C++

License:        MIT
URL:            https://github.com/Neargye/magic_enum
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  catch2-devel
BuildRequires:  cmake
BuildRequires:  gcc-c++

%description    %{common_description}

%package        devel
Summary:        %{summary}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}

%description    devel %{common_description}

%prep
%autosetup -p1

# Replace bundled copy of Catch2 with the system one
ln -sf %{_includedir}/catch2/catch.hpp test/3rdparty/Catch2/include/catch2/

%build
%cmake
%cmake_build

%install
%cmake_install

# This is meant for use with ROS and isn't actually useful
rm %{buildroot}%{_datadir}/%{name}/package.xml

%check
%ctest

%files devel
%license LICENSE
%doc README.md doc
%{_includedir}/%{name}*.hpp
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 02 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 0.9.5-1
- Initial import; Fixes: RHBZ#2255846
## END: Generated by rpmautospec
